Subject: Re: bug#68234: [PATCH] Increase blink-matching-paren-distance by 300kb.

From: Stefan Kangas <[email-masked]>
Date: Sat, 6 Jan 2024 04:09:14 -0800

Eli Zaretskii <[email-masked]> writes:

> AFAIU, this will show nothing when the matching parenthesis is not
> found?  If so, why is that a good idea?

I guess the point is to avoid false positives: Emacs confidently says
"no matching paren", but actually there is one.  We just didn't try hard
enough to find it.

On the other hand, perhaps we could just adjust the message to make it
more clear: "no matching parenthesis within 100000 characters" or
something like that (but only if the buffer is indeed longer).  (But
then I wouldn't bother with the (* 100 1024) part, and just do 100000 or
200000 outright to improve the display.  This is a nit though.)